#!/bin/bash
#
#       30 - Configure Proxy server
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Servidor proxy \n"
echo "****************************************************"

                                                                             
if [ -e /etc/squid/squid.conf ];then
	echo -en "Fent còpia de seguretat de l'antiga configuració: "
	res=$(cp /etc/squid/squid.conf /etc/Linkat/backup/squid.conf.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:S'ha produït un error al aplicar els canvis del servidor Proxy Squid; $res"
	else
		echo -en "Ok\n"
	fi
fi

echo -en "Aplicant configuració de Linkat:\n"
res=$(cat /etc/Linkat/data/squid.conf.Linkat | sed s/__IP3__/$IP3/g | sed s/__IP2__/$IP2/g | sed s/__IP1__/$IP1/g >/etc/squid/squid.conf 2>&1)
if [ ! $? -eq 0 ];then
		echo -en "Error: S'ha produït un error al aplicar els canvis del servidor Proxy Squid; $res"
	else
		echo -en "Aplicant permisos al fitxer de configuració:\n"
		res=$(chmod 664 /etc/squid/squid.conf 2>&1)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: S'ha produit un error al establir els permisos de la configuració del proxy; $res"
		else
			echo -en "Posar squid a la seqüència d'init: "
			res=$(chkconfig --add squid 2>&1)
			if [ ! $? -eq 0 ];then
				echo -en "Error:: No s'ha pogut treure el servei Proxy a la seqüència d'init"
			else
				echo -en "Ok\n"
				echo -en "Success:: Canvis aplicats al servidor Proxy Squid\n"
			fi
		fi
fi        


