#
#	072 Configure and start sshd
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Configuració sshd"
echo "****************************************************"

res_code=0
res=$(chkconfig --add sshd 2>&1)
if [ ! $? -eq 0 ];then
        echo "Error:: No s'ha pogut posar el servei sshd la seqüència d'init"
        err_code=1
else
        echo -en "S'ha posat el servei ssh a la seqüència d'init \n\t$res\n"
fi

res_code=0
res=$(rcsshd status 2>&1)
case $? in
        3)
                res=$(rcsshd start 2>&1)
                if [ ! $? -eq 0 ];then
                        res_code=1
                fi
        ;;
        0)
                res=$(rcsshd restart 2>&1)
                if [ ! $? -eq 0 ];then
                        res_code=1
                fi
        ;;
        *)
                res_code=1
        ;;
esac

if [ $res_code -ne 0 ];then
        echo "Error:: S'ha produït un error al aplicar els canvis del servidor ssh: $res"
fi
