#!/bin/bash
#
#       25 - Restore Proxy server
#

echo "#Servidor Proxy"
                                                                                 
if [ ! -e  /etc/Linkat/backup/squid.conf.orig ];then
	echo -e "\n\tAvís: No hi ha cap còpia de seguretat del servei proxy. Es deixa la configuració tal com està."
else
	echo -e "S'està restaurant còpia de seguretat del servei proxy:"
	res=$(mv /etc/Linkat/backup/squid.conf.orig /etc/squid/squid.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produït un error al restaurar la configuració Proxy Squid; $res"
	else
		echo -e "Ok\n"
		echo -e "S'estan establint els permisos al fitxer de configuració del proxy"
		res=$(chmod 644 /etc/squid/squid.conf 2>&1)
		if [ ! $? -eq 0 ];then
			echo -e "\n\tError:S'ha produit un error al restablir els permissos del servidor de proxy;$res "
		else
			echo -e "Ok\n"
			echo -e "Aplicant canvis"
			res_code=0
			res=$(rcsquid status 2>&1)
			case $? in
				0)
					rcsquid stop 2>&1 > /dev/null
					if [ ! $? -eq 0 ];then
						res_code=1
					fi
				;;
				3)
					res_code=0
				;;
				*)
					res_code=1
				;;
			esac

			if [ ! $res_code -eq 0 ];then
				echo -e "\n\tError aplicant canvis; $res"
			else
				echo -e "Ok\n"
				echo -e "S'està eliminant el servei proxy de la seqüència d'inici"
				res=$(chkconfig --del squid 2>&1)
				if [ ! $? -eq 0 ];then
					echo "Error:: No s'ha pogut treure el servei squid de la seqüència d'inci"
				else
					echo -e "Ok\n"
					echo -e "\n\tSuccess::S'ha restaurat correctament la configuració del servei proxy"
				fi
			fi
		fi
	fi
fi

