#!/bin/bash

if [ -e /etc/modalitat_linkat ];then
  # We're upgrading a past release that has been properly installed - apply all patches
	for file in /etc/Linkat/patch/patch*.sh; do
      $file >>/var/log/linkat_server_configuration_updates.log 2>&1
   done
else
   # We're installing from scratch - launch the system configuration
   sh /etc/Linkat/Linkat.sh install 
fi

# All set, we bring the patch system up to the current patch,
# for further package upgrades
touch /etc/Linkat/patch/patch000{1..8}.done

