#!/bin/bash
#
#       75 - Stop unneeded services
#

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo -en "[$date] Parada de serveis no necessaris \n"
echo "****************************************************"

res=$(chkconfig postfix | grep on | wc -l 2>&1)
if [ ! $res -eq 0 ];then
	echo -en "Traient postfix de la seqüència d'init: "
	res=$(chkconfig postfix off)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: S'ha produït al treure el dimoni postfix de la seqüència d'init; $res"
	else
		echo "Ok\n"
		echo -en "Parant postfix: "
		res=$(rcpostfix stop)
		if [ ! $? -eq 0 ];then
			echo -en "Error:: S'ha produït al parar el dimoni postfix; $res"
		else
			echo -en "Ok\n"
		fi
	fi
fi

res=$(chkconfig SuSEfirewall2_setup | grep on | wc -l 2>&1)
if [ ! $res -eq 0 ];then
        echo -en "Traient SuSEfirewall2_setup de la seqüència d'init: "
        res=$(chkconfig SuSEfirewall2_setup off)
        if [ ! $? -eq 0 ];then
                echo -en "Error:: S'ha produït al treure el dimoni SuSEfirewall2_setup de la seqüència d'init; $res"
        else
		echo "Ok\n"
        fi
fi


res=$(chkconfig SuSEfirewall2_init | grep on | wc -l 2>&1)
if [ ! $res -eq 0 ];then
        echo -en "Traient SuSEfirewall2_init de la seqüència d'init: "
        res=$(chkconfig SuSEfirewall2_init off)
        if [ ! $? -eq 0 ];then
                echo -en "Error:: S'ha produït al treure el dimoni SuSEfirewall2_init de la seqüència d'init; $res"
        else
                echo "Ok\n"
                echo -en "Parant SuSEfirewall2: "
                res=$(rcSuSEfirewall2 stop)
                if [ ! $? -eq 0 ];then
                        echo -en "Error:: S'ha produït al parar el dimoni SuSEfirewall2_init; $res"
                else
                        echo -en "Ok\n"
                fi
        fi
fi

