#!/bin/bash
#
#       40 - Restore JClic Reports
#

echo "#Enllaç simbòlic"
if [ -h /usr/share/java/tomcat6/mysql-connector-java.jar ];then
	res=$(rm -f /usr/share/java/tomcat6/mysql-connector-java.jar 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "Error:: S'ha produït un error quan s'eliminava l'enllaç simbòlic del mysql-connector-java.jar"
	else
		echo -e "Ok."
	fi
fi

echo "#Configuració JClic Reports"
res_code=0
res=$(chkconfig --del mysql 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut treure el servei Mysql a la seqüència d'init"
	err_code=1
else
	echo -e "Warning:: S'ha tret el servei Mysql a la seqüència d'init \n\t$res"
fi

echo -e "Warning:: Per raons de possible pèrdua de dades importants no s'esborrarà la base de dades JClicReports. Per esborrar-la a mà:\n\t\t%> mysql -u root -p\n\t\tmysql> DROP DATABASE JClicReports;\n"
res_code=0
res=$(rcmysql status 2>&1)
case $? in
	0)
		res=$(rcmysql stop 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	*)
		res_code=1
	;;
esac

if [ $res_code -ne 0 ];then
	echo "Error:: S'ha produït un error restaurar l'estat del servidor Mysql: $res"
fi

res_code=0
res=$(chkconfig --del tomcat6 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut treure el servei Tomcat a la seqüència d'init"
	err_code=1
else
	echo -e "Warning:: S'ha tret el servei Tomcat a la seqüència d'init \n\t$res"
fi

res_code=0
res=$(rctomcat6 status 2>&1)
case $? in
	0)
		res=$(rctomcat6 stop 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	*)
		res_code=1
	;;
esac

if [ $res_code -ne 0 ];then
	echo "Error:: S'ha produït un error al restaurar l'extat del servidor Tomcat: $res"
fi

res_code=0
res=$(chkconfig --del apache2 2>&1)
if [ ! $? -eq 0 ];then
	echo "Error:: No s'ha pogut treure el servei apache a la seqüència d'init"
	err_code=1
else
	echo -e "Warning:: S'ha tret el servei apache a la seqüència d'init \n\t$res"
fi


res_code=0
res=$(rcapache2 status 2>&1)
case $? in
	0)
		res=$(rcapache2 stop 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
	;;
	*)
		res_code=1
	;;
esac

if [ $res_code -ne 0 ];then
	echo "Error:: S'ha produït un error al restaurar l'extat del servidor apche: $res"
fi

