#!/bin/bash
#
#       70 - Restore DNS Client
#

echo -e "\t\n#Client DNS\n"

if [ ! -e /etc/Linkat/backup/resolv.conf.orig ];then
	echo -e "\n\tWarning: No hi ha cap còpia de seguretat de la configuració del client de DNS. Es manté la configuració actual"
else
	echo -e "S'està restaurant la còpia de seguretat de la configuració del servei DNS"
	res=$(mv /etc/Linkat/backup/resolv.conf.orig /etc/resolv.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "\n\tError:: S'ha produït un error al restaurar la configuració del client DNS; $res"
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess:: S'ha restaurat la configuració del client DNS\n"         
	fi
fi

