#!/bin/bash
#
#       75 - Remove updates
#


echo "#Actualitzacions"

res=$(rm /etc/sysconfig/cron 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: Problemes esborrant la configuració cron; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: La configuració del servei cron s'ha esborrat correctament"
fi

res=$(mv /etc/Linkat/backup/sysconfig.cron.orig /etc/sysconfig/cron 2>&1)
if [ ! $? -eq 0 ];then
	echo -e "Error:: Problemes restaurant la configuració cron; $res"
else
	echo -e "Ok\n"
	echo -e "\n\tSuccess: La configuració del servei cron s'ha restaurat correctament"
fi

res=$(/usr/sbin/rccron status 2>&1)
case $? in
	0)
		res=$(rccron restart 2>&1)
		if [ ! $? -eq 0 ];then
			res_code=1
		fi
		;;
		*)
			res_code=1
		;;
esac

if [ -d /srv/www/htdocs/linkat2 ];then
	res=$(rm -rf /srv/www/htdocs/linkat2 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "Warning:: El directori linkat 3 no existeix; $res"
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess: S'ha esborrat el directori linkat 2"
	fi
fi

if [ -f /etc/apache2/conf.d/repo-server-linkat2.conf ];then
        res=$(rm -f /etc/apache2/conf.d/repo-server-linkat2.conf 2>&1)
        if [ ! $? -eq 0 ];then
                echo -e "Warning:: La configuració http no existeix; $res"
        else
                echo -e "Ok\n"
                echo -e "\n\tSuccess: S'ha esborrat la configuració http."
        fi
fi


if [ -f /etc/cron.daily/update_linkat_2.sh ];then
	res=$(rm -f /etc/cron.daily/update_linkat_2.sh 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "Warning:: El el fitxer update_linkat_2.sh no existeix; $res"
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess: S'ha esborrat el fitxer update_linkat_2.sh"
	fi
fi


if [ -d /srv/www/htdocs/linkat3 ];then
	res=$(rm -rf /srv/www/htdocs/linkat3 2>&1)
        if [ ! $? -eq 0 ];then
                echo -e "Warning:: El directori Linkat 3 no existeix; $res"
        else
                echo -e "Ok\n"
                echo -e "\n\tSuccess: S'ha esborrat el directori linkat 3"
        fi      
fi

if [ -f /etc/apache2/conf.d/repo-server-linkat3.conf ];then
	res=$(rm -f /etc/apache2/conf.d/repo-server-linkat3.conf 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "Warning:: La configuració http no existeix; $res"
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess: S'ha esborrat la configuració http."
	fi
fi


if [ -f /etc/cron.daily/update_linkat_3.sh ];then
	res=$(rm -f /etc/cron.daily/update_linkat_3.sh 2>&1)
	if [ ! $? -eq 0 ];then
		echo -e "Warning:: El el fitxer update_linkat_3.sh no existeix; $res"
	else
		echo -e "Ok\n"
		echo -e "\n\tSuccess: S'ha esborrat el fitxer update_linkat_3.sh"
	fi
fi              

